INSERT INTO pro_post ( created_on, updated_on,
                      post_title, pc1, pc2, pc3, pc4,
                      pc5, pc6, post_type_id, post_slug, post_no
)

SELECT UNIX_TIMESTAMP(), UNIX_TIMESTAMP(),
       c1, c2, c3, c4, c5,
       c6, DATE_FORMAT(DATE_ADD('1899-12-30', INTERVAL c7 DAY), '%Y%m%d') as c7, c8,
            (SELECT
                CONCAT(
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1),
                    SUBSTRING(chars, FLOOR(1 + RAND() * 62), 1)
                )
            FROM (
                SELECT 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789' AS chars
            ) AS character_set) AS c9,
       CONCAT(
                DATE_FORMAT(NOW(), '%y%m%d-%H%i%s-'),
                SUBSTRING(CONCAT('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789', 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789'),
                        FLOOR(1 + RAND() * 62), 1),
                SUBSTRING(CONCAT('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789', 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789'),
                        FLOOR(1 + RAND() * 62), 1),
                SUBSTRING(CONCAT('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789', 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789'),
                        FLOOR(1 + RAND() * 62), 1),
                SUBSTRING(CONCAT('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789', 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789'),
                        FLOOR(1 + RAND() * 62), 1),
                SUBSTRING(CONCAT('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789', 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789'),
                        FLOOR(1 + RAND() * 62), 1),
                SUBSTRING(CONCAT('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789', 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789'),
                        FLOOR(1 + RAND() * 62), 1)
        ) AS c10
FROM dbt_list_type1
where list_token = ?
